Bug 921422 - livecd-creator should ensure initramfs builds are not done in 'hostonly' mode
livecd-creator should ensure initramfs builds are not done in 'hostonly' mode
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: livecd-tools (Show other bugs)
19
All All
unspecified Severity urgent
: ---
: ---
Assigned To: Brian Lane
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F19Alpha/F19AlphaBlocker 921914
  Show dependency treegraph
 
Reported: 2013-03-14 03:34 EDT by Adam Williamson
Modified: 2013-03-18 17:28 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 921914 (view as bug list)
Environment:
Last Closed: 2013-03-18 17:28:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch (602 bytes, patch)
2013-03-15 01:56 EDT, Harald Hoyer
no flags Details | Diff

  None (edit)
Description Adam Williamson 2013-03-14 03:34:27 EDT
I'm trying to build a live image from F19/Rawhide (basically the same thing ATM) for today's KDE Test Day, but it keeps failing, and I think the problem is Rawhide.

The compose usually succeeds, but right after package install, I see these errors:

E: dracut module 'dmsquash-live' cannot be found or installed.
E: dracut module 'dmsquash-live' cannot be found or installed.

then trying to boot the built image, it explodes messily very early in the boot process. There's a ton of errors, including a whole bunch of:

systemd-udevd[XXX]: worker [XXX] did not accept message -1 (Connection refused), kill it

and:

Failed to mount moving /sysroot to /: Invalid argument
Failed to switch root, ignoring: Invalid argument

Notably, the 2013-03-10 nightly live desktop compose does not show these issues. It boots (hits a GDM problem, but boots much further at least), and the compose log - http://kojipkgs.fedoraproject.org//work/tasks/4225/5104225/mock_output.log - does not show the same error messages. That image was built with dracut-026-1.fc19.x86_64 , so either a bug showed up between 026-1 and 026-15.gitblahblah, or there's some difference between my build host and Koji that's causing this.

Nominating as an Alpha blocker, but we shouldn't accept it as such until we confirm builders other than me (particularly the 'official' builders) hit it.
Comment 1 Harald Hoyer 2013-03-14 07:02:38 EDT
Seems like the composer should set "--no-hostonly" or in their config hostonly="no"
Comment 2 Adam Williamson 2013-03-14 07:28:27 EDT
ah, I guessed that might be it. dunno why I didn't just try it, actually. sigh.
Comment 3 Brian Lane 2013-03-14 12:32:16 EDT
livecd-creator doesn't recreate the initrd. We didn't used to have to do this, what changed?
Comment 4 Adam Williamson 2013-03-14 14:40:38 EDT
We've discussed on IRC, but the change was that upstream changed default to 'hostonly' on Fedora. 'hostonly' only includes drivers for the host system in the initramfs, which is obviously not what we want for a generic initramfs like that in the live images (or on the install images, for that matter, so we should check pungi/lorax.)

should we set this back to livecd-tools? I think we agree the fix is in python-imgcreate, don't we?
Comment 5 Brian Lane 2013-03-14 14:56:15 EDT
ok, figured it out. dracut switched the default to hostonly so we now need to add this to the config file:

-        f.write('add_dracutmodules+=" dmsquash-live pollcdrom "')
+        f.write('add_dracutmodules+=" dmsquash-live pollcdrom "\n')
+        f.write('hostonly="no"\n')
+        f.write('dracut_rescue_image="no"\n')
Comment 6 Harald Hoyer 2013-03-15 01:56:03 EDT
Created attachment 710440 [details]
Proposed patch

I would even patch lorax, so that no config file can overwrite the behaviour.
Comment 7 Adam Williamson 2013-03-15 03:22:46 EDT
We don't use lorax for live images. The livecd-creator and lorax cases are two separate bugs, please don't reassign this one. I believe Will already wrote a patch for lorax.
Comment 8 Harald Hoyer 2013-03-15 04:35:40 EDT
(In reply to comment #7)
> We don't use lorax for live images. The livecd-creator and lorax cases are
> two separate bugs, please don't reassign this one. I believe Will already
> wrote a patch for lorax.

ok, sorry...
Comment 9 Adam Williamson 2013-03-18 11:11:39 EDT
We might be able to close this specific bug now? Though my last live compose still exploded on boot.
Comment 10 Adam Williamson 2013-03-18 17:28:22 EDT
Adjusting topic to be clearer, and closing the bug, as I'm pretty sure it's fixed now.

Note You need to log in before you can comment on or make changes to this bug.